#ifndef _SEQSTRING_H_
#define _SEQSTRING_H_


//
// Include the C standard library header file here
//

#include <stdio.h>


//
// Other header files are included here
//




//
// Define the data structure here
//

#define MAX_LENGTH 20	// The maximum length of a string

typedef struct {
	char data[MAX_LENGTH];	// An array is used to store the characters in a string, and the maximum length of the array is the maximum length of the string.
	int nLength;			// The actual length of the string, the number of characters in the array.
}SeqString;


//
// Declare the function here
//

int InsertBefore(SeqString* pSource, int pos, SeqString* pTarget);


#endif /* _SEQSTRING_H_ */
